%define subrel  1

Summary:	A GNU collection of diff utilities
Name:		diffutils
Version:	3.0
Release:	%mkrel 1

License:	GPLv2+
Group:		Development/Other
URL:		http://www.gnu.org/software/diffutils/
Source0:	ftp://ftp.gnu.org/pub/gnu/diffutils/%{name}-%{version}.tar.xz
Source1:	%{SOURCE0}.sig
Source2:	%{name}-help2man.bz2
BuildRequires:	libsigsegv-devel
Requires(pre):	info-install
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Diffutils includes four utilities:  diff, cmp, diff3 and sdiff.

  * Diff compares two files and shows the differences, line by line.
  * The cmp command shows the offset and line numbers where two files differ,
    or cmp can show the characters that differ between the two files.
  * The diff3 command shows the differences between three files. Diff3 can be
    used when two people have made independent changes to a common original;
    diff3 can produce a merged file that contains both persons' changes and
    warnings about conflicts.
  * The sdiff command can be used to list diff of two files side by side or
    merge two files interactively.

Install diffutils if you need to compare text files.

%prep
%setup -q

bzcat %{SOURCE2} > help2man
chmod +x help2man

%build
# default editor for sdiff interactive mode, vi is likely better than ed
perl -pi -e 's/^(#define\s+DEFAULT_EDITOR_PROGRAM\s+)"ed"/$1"vi"/' configure*

# for finding help2man
export PATH=$PATH:`pwd`
autoreconf
%configure2_5x \
	--disable-rpath \
	--without-included-regex \
	--with-packager="%{distribution}" \
	--with-packager-bug-reports="https://bugs.mageia.org"


%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%find_lang %{name}

%post
%_install_info diff.info

%preun
%_remove_install_info diff.info

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man*/*
%{_infodir}/diff.info*



%changelog

* Sun Nov 06 2011 shadow95 <shadow95> 3.0-1.1.mga1
+ Revision: 164548
- clean spec
- replace http://qa.mandriva.com by https://bugs.mageia.org in man page, fixes bug #1380

* Sat Jan 08 2011 blino <blino> 3.0-1.mga1
+ Revision: 553
- imported package diffutils


* Sun Jul 11 2010 Funda Wang <fwang@mandriva.org> 3.0-1mdv2011.0
+ Revision: 550624
- New version 3.0

* Sat Feb 27 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.9-1mdv2010.1
+ Revision: 512438
- update to new version 2.9
- drop patches 0 and 1 both are not needed any more
- spec file clean

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 2.8.7-10mdv2010.0
+ Revision: 413355
- rebuild

* Fri Dec 19 2008 Oden Eriksson <oeriksson@mandriva.com> 2.8.7-9mdv2009.1
+ Revision: 316205
- fix build with -Werror=format-security (P3)

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 2.8.7-8mdv2009.0
+ Revision: 220625
- rebuild

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 2.8.7-7mdv2008.1
+ Revision: 149182
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Adam Williamson <awilliamson@mandriva.org> 2.8.7-6mdv2008.0
+ Revision: 85798
- rebuild for 2008
- Fedora license policy


* Mon Feb 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.8.7-5mdv2007.0
+ Revision: 119991
- spec file clean
- bunzip patch

  + Emmanuel Andry <eandry@mandriva.org>
    - Import diffutils

* Mon May 15 2006 Stefan van der Eijk <stefan@eijk.nu> 2.8.7-4mdk
- rebuild for sparc

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.8.7-3mdk
- Rebuild

* Wed Jun 02 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.8.7-2mdk
- rework patch2 with suggestions from Mitsuru Chinen (fails i18n tests)

* Mon May 24 2004 Abel Cheung <deaddog@deaddog.org> 2.8.7-1mdk
- New version
- Rediff patch2
- Use tar.gz with signature
- Use help2man to regenerate manpage instead of bundling 11-year old ones
- In sdiff interactive mode, use vi instead of ed as default editor

